Get Platform Overview
GET
/api/v1/platform/overview
const url = 'https://api.spartanauth.com/api/v1/platform/overview';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.spartanauth.com/api/v1/platform/overviewCatalog-level counts for the platform admin home: customer tenants, sectors per tenant, and platform sub-sectors. Does not open customer databases. Only an admin of the platform default sector may call this.
Responses
Section titled “ Responses ”A successful response.
Media type application/json
object
customerTenantCount
integer format: int32
customerSectorCount
integer format: int32
customerSubSectorCount
integer format: int32
platformSectorCount
integer format: int32
tenants
Array<object>
object
tenantID
string
slug
string
kid
string
isPlatform
boolean
rootSectorID
string
sectorCount
integer format: int32
subSectorCount
integer format: int32
Example generated
{ "customerTenantCount": 1, "customerSectorCount": 1, "customerSubSectorCount": 1, "platformSectorCount": 1, "tenants": [ { "tenantID": "example", "slug": "example", "kid": "example", "isPlatform": true, "rootSectorID": "example", "sectorCount": 1, "subSectorCount": 1 } ]}default
Section titled “default ”An unexpected error response.
Media type application/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}